import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n
import Check

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "closedForm"

    ColumnLayout {
        anchors.fill: parent
        spacing: 40

        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true

            ColumnLayout {
                anchors.centerIn: parent
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "closedThanks"
                    Tr { code: "closedThanks" }
                }
                Space { height: 100 }
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "closedHintReceipt"
                    Tr { code: "closedHintReceipt" }
                }
                Space { height: 300 }
                SvgImage {
                    source: Style.parameter("image.closedScale")
                    SvgImage {
                        id: bag
                        anchors.horizontalCenter: parent.horizontalCenter
                        source: Style.parameter("image.closedBag")
                        Behavior on y { SmoothedAnimation { velocity: Style.animationVelocity("closed", 200) } }
                        state: "start"
                        states: [
                            State {
                                name: "start"
                                PropertyChanges { target: bag; y: -101 }
                            },
                            State {
                                name: "finish"
                                PropertyChanges { target: bag; y: -260 }
                            }
                        ]
                        Timer {
                            interval: Style.animationDuration("closed", 2500)
                            running: true
                            repeat: true
                            triggeredOnStart: true
                            onTriggered: bag.state == "start" ? bag.state = "finish"
                                                              : bag.state = "start"
                        }
                    }
                }
            }
        }

        ActionButton {
            visible: Check.closedHintTimer.active
            Layout.preferredHeight: 110
            Layout.fillWidth: true
            Style.class: "closedCompletePurchase"

            Tr { code: "closedCompletePurchase" }

            action: "CHECK_WELCOME"
            onClicked: () => PluginManager.internalAsync("CORE_HINT", { name: "Closed" })
            ActionButtonTimer { secondsLeft: Check.closedHintTimer.interval / 1000 }
        }
    }
}
