import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "qrPaymentForm"

    Context.inputSources: InputSources.Scanner

    ColumnLayout {
        anchors.fill: parent
        spacing: 20
        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            ColumnLayout {
                anchors.horizontalCenter: parent.horizontalCenter
                y: 300
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "qrPaymentTitle"
                    Tr { tr: Check.paymentAction.title; fallback: "qrPaymentTitle" }
                }
                Space { height: 40 }
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                    Style.class: "qrPaymentMsg"
                    Tr { tr: Check.paymentAction.message; fallback: "qrPaymentMsg" }
                }
                Space { height: 200 }
                SvgImage {
                    Layout.alignment: Qt.AlignHCenter
                    Layout.preferredWidth: 350
                    Layout.preferredHeight: 350
                    source: Style.parameter("image.qrScan")
                }
            }
        }
        ActionButton {
            Layout.preferredHeight: 110
            Layout.fillWidth: true
            Tr { code: "qrPaymentCancel" }
            Style.class: "qrPaymentCancel"
            icon: Style.parameter("icon.payment.closeQrPaymentForm")
            onClicked: () => root.removeContext()
        }
    }
}
