import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n
import Dialog

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "paymentErrorForm"

    property var action: DialogState.actions[Context.id.value]

    ColumnLayout {
        anchors.fill: parent
        spacing: 40
        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            id: groupBox
            ColumnLayout {
                anchors.horizontalCenter: parent.horizontalCenter
                y: 280
                SLabel {
                    Style.class: "paymentErrorTitle"
                    Tr { tr: root.action.title; fallback: "paymentErrorTitle" }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { height: 40 }

                SLabel {
                    Layout.preferredWidth: groupBox.width
                    wrapMode: Text.WordWrap
                    Style.class: "paymentErrorMsg"
                    Tr { tr: root.action.message }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { height: 200 }

                SvgImage {
                    Layout.alignment: Qt.AlignHCenter
                    source: Style.parameter("image.error")
                }
            }
        }

        RowLayout {
            spacing: 40
            ActionButton {
                Layout.preferredHeight: 110
                Layout.preferredWidth: 470
                Tr { tr: action.cancelButton; fallback: "paymentErrorCancel" }
                Style.class: "paymentErrorCancel"
                onClicked: () => {
                    root.action.result = false
                    root.removeContext()
                }
            }

            ActionButton {
                Layout.preferredHeight: 110
                Layout.preferredWidth: 470
                Tr { tr: action.okButton; fallback: "paymentErrorOk" }
                Style.class: "paymentErrorOk"
                onClicked: () => {
                    root.action.result = true
                    root.removeContext()
                }
            }
        }
    }
}
