import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import Dialog
import I18n

import "../widgets"
import "../core"

ModalForm {
    id: root
    Style.class: "progressForm"

    property ProgressState state: DialogState.newProgressState
    property int showDelay: state?.delay ?? 0
    property bool hide: state?.hide ?? false

    ColumnLayout {
        id: progressLayout
        anchors.left: parent.left
        anchors.right: parent.right

        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: SLabel.WordWrap
            Style.class: "progressFormTitle"

            Tr { tr: state?.title ?? Tr.empty }
        }
        Space { height: 40 }
        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: SLabel.WordWrap
            Style.class: "progressFormMessage"

            Tr { tr: state?.message ?? Tr.empty }
        }
        Space { height: 40 }
        SProgressBar {
            id: progressBar
            Style.class: "dialogProgressBar"

            Layout.fillWidth: true
            Layout.preferredHeight: Math.max(15, Style.content.height)

            value: state?.progress ?? 0

            backgroundItem.color: progressBar.Style.background.color.valid ? progressBar.Style.background.color : "#e1e8ee"
            content.width: progressBar.visualPosition * parent.width
        }
    }

    Connections {
        target: state
        function onProgressChanged(progress) { progressBar.value = progress }
    }
}
